This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 234113 - [RHEL5] system datetime is getting slower and slower
[RHEL5] system datetime is getting slower and slower
Status: CLOSED INSUFFICIENT_DATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel-xen (Show other bugs)
5.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Brian Maly
Martin Jenner
:
Depends On:
Blocks: 492570
  Show dependency treegraph
 
Reported: 2007-03-26 23:52 EDT by Qingzhu Liu
Modified: 2009-03-27 10:45 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-03-11 14:30:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Qingzhu Liu 2007-03-26 23:52:26 EDT
Description of problem:

After synchronizing datetime with hw clock, the system time is getting slower
and slower. The system date is getting about twice slower. For example, now
hwclock time is: 20:00:00PM, after 5:00 min, the hw clock time is 20:05:00PM,
but the system time (date) is around 20:02:30PM. After 10 min, the hw clock time
is 20:10:00PM, but the system time (date) is around 20:05:00PM.

Version-Release number of selected component (if applicable):
coreutils-5.97-12.1.el5

How reproducible:
I tried in both gnome (the time shown in the upper right corner), and kde, and
got the same result.
I also tried from terminal using date command.

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Tim Waugh 2007-03-27 04:16:52 EDT
Fixing component and reassigning.
Comment 2 Brian Maly 2007-08-28 11:38:17 EDT
Can you attach /var/log/dmesg? Also a lspci output?

I want to see what timesource is being used, and what the chipset is.
Comment 3 Qingzhu Liu 2007-08-28 13:30:12 EDT
It happens when I use xen kernel. But it is ok with regular kernel on the same
machine.

Thanks,

(In reply to comment #2)
> Can you attach /var/log/dmesg? Also a lspci output?
> 
> I want to see what timesource is being used, and what the chipset is.
Comment 4 Jeff Burke 2007-09-25 14:19:13 EDT
Can you please provide a little more data.
1.) What is the hardware you are using. Vendor, Model, Bios version
2.) Can you please run the following commands and post the output.
  a.) lspci
  b.) cat /sys/devices/system/clocksource/clocksource0/available_clocksource
  c.) cat /sys/devices/system/clocksource/clocksource0/current_clocksource


Comment 5 RHEL Product and Program Management 2008-06-09 18:01:48 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 6 Brian Maly 2008-08-06 22:32:09 EDT
Please provide info on clocksource being used, or attach /var/log/dmesg or sysreport (even better). Also provide some info on the type of system (mainboard vendor/model and processor vendor/model). There are many different causes of timeskew such as this. The requested information is essential to diagnosing and fixing this problem.
Comment 7 Brian Maly 2009-03-11 14:13:36 EDT
This BZ has been in a NEEDINFO state for a while now. Many timekeeping fixes have been applied to the Xen kernel since this bug was last active. Can we confirm this problem still exists and close this bug if there is no longer an issue?
Comment 9 Bill Burns 2009-03-11 14:30:32 EDT
Closing due to lack of response to need info request. Please reopen if you can supply the data required to work this issue.

Note You need to log in before you can comment on or make changes to this bug.